1. 签名
DeepSafe开发者文档
  • Getting Started
    • 快速开始
    • 创建Api Key
    • 其他说明
    • http请求约定
      • 请求头
      • 请求方法
      • 返回值与错误码
      • Body加密与签名
      • Webhook事件解密与校验
    • Webhook
      • Webhook说明
      • Webhook事件解密与校验
  • Api文档
    • README
    • 全局配置
      • 获取支持的币种
      • 获取支持的链
    • 钱包
      • 创建钱包
      • 获取钱包列表
      • 获取单个钱包详情
      • 新增子地址(子钱包)
      • 获取钱包的所有子地址(子钱包)
    • 白名单
      • 获取白名单列表
      • 获取可用的白名单列表
      • 查询白名单转账限制开关状态
    • 交易
      • 获取钱包交易列表
      • 创建交易
      • 获取交易详情
    • 审批
      • 获取审批详情
      • 通过审批
      • 拒绝审批
      • 取消审批
    • 签名
      • 获取签名token
        POST
      • 停止签名
        POST
    • Schemas
      • wallet
        • address_info
        • wallet_transaction_base_info
        • list_wallet_tx_resp
        • gas_info
        • wallet_transaction
        • simple_transaction
        • tron_tx
        • btc_utxo
        • wait_sign_tx
        • list_wallet_resp
        • wallet_base_info
        • get_wallet_resp
        • pending_tx_count
        • wallet_coin_balance
        • wallet_coin_balance_with_price
        • list_wallet_item
      • config
        • coin_info
        • chain_info
        • coin_with_chain
        • whitelist_chain_config
      • sub_wallet
        • sub_wallet_base_info
        • list_sub_wallet_res
        • sub_wallet_balance_item
      • whitelist
        • list_whitelist_resp
        • whitelist_with_chain
        • whitelist_tag_info
        • whitelist
        • whitelist_group_info
        • whitelist_transfer_restriction
        • restriction_status_res
      • audit
        • change_whitelist_info
        • base_audit_record
        • member_result_item
        • node_result
        • node_result_item
        • audit_record
      • mpc
        • new_sign_token_res
      • initiator_info
      • base response
      • pageData
  • Webhook文档
    • README
    • 白名单
      • 创建白名单
      • 删除白名单
      • 修改白名单
    • Schemas
      • 白名单
      • base response
      • base event
  • Co-Signer
    • REAME
    • 对接说明
  1. 签名

获取签名token

Developing
POST
/api/mpcTask/sign/newToken
获取token和待签名数据后,调用co-signer签名

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/mpcTask/sign/newToken' \
--header 'timestamp-milli: 1783926654123' \
--header 'request-id: 99352544-bb54-44f9-9310-c5c2d7498e17' \
--header 'team-id: your_team_id' \
--header 'api-id: your_api_id' \
--header 'currency-id: usd' \
--header 'Content-Type: application/json' \
--data '{
    "audit_record_id": "string",
    "gas_key": "string"
}'
Response Response Example
{
    "code": 1000,
    "data": {
        "token": "mpc:token:xxxxxxx",
        "transaction": {
            "coin_info": {
                "coin_id": "tether-evm--1",
                "coin_uid": "tether",
                "chain_id": "evm--1",
                "symbol": "usdt",
                "name": "Tether",
                "decimal": 6,
                "is_main": false,
                "contract": "0xdAC17F958D2ee523a2206206994597C13D831ec7"
            },
            "chain_info": {
                "chain_id": "evm--1",
                "name": "Ethereum",
                "symbol": "eth",
                "is_testnet": false,
                "evm_id": 1
            },
            "transaction_id": "开票",
            "coin_origin": "9123000000",
            "from_address": "0x1234567890abcdef1234567890abcdef12345678",
            "to_address": "0xabcdef1234567890abcdef1234567890abcdef12"
        },
        "wait_sign_tx": {
            "evm_data": {
                "raw_tx": "0xf86b808504a817c800825208940"
            },
            "tron_data": {
                "raw_data_hex": "f86b808504a817c800825208940",
                "raw_data": {
                    "contract": [
                        {
                            "parameter": {
                                "value": {
                                    "amount": 1000,
                                    "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
                                    "to_address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1"
                                },
                                "type_url": "type.googleapis.com/protocol.TransferContract"
                            },
                            "type": "TransferContract"
                        }
                    ],
                    "ref_block_bytes": "60af",
                    "ref_block_hash": "40f1a0f9c7bcd91c",
                    "expiration": 1750669395000,
                    "timestamp": 1750669337150
                }
            },
            "btc_data": {
                "inputs": [
                    {
                        "address": "bc1qxyz1234567890abcdefg",
                        "tx_id": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
                        "vout": 0,
                        "value": 1000000
                    }
                ],
                "outputs": [
                    {
                        "address": "bc1qxyz1234567890abcdefg",
                        "tx_id": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
                        "vout": 0,
                        "value": 1000000
                    }
                ]
            },
            "sol_data": {
                "raw_tx": "base64=="
            }
        }
    },
    "msg": "esse mollit"
}
Modified at 2026-07-17 07:51:24
Previous
取消审批
Next
停止签名
Built with